#!/bin/sh
-# This file is meant to be sourced, not executed.
-export ANDROID_HOME=$HOME/Android/android-sdk-linux
-export PATH=$PATH:$ANDROID_HOME/platform-tools:$ANDROID_HOME/tools
+
+[ "${0#-}" = "$(basename $SHELL)" ] || { echo "This script is meant to be sourced, not executed" 1>&2; exit 1; }
+
+ANDROID_BASE_DIR=$HOME/Android
+
+export ANDROID_HOME=$ANDROID_BASE_DIR/android-sdk-linux
+export PATH=$ANDROID_HOME/platform-tools:$ANDROID_HOME/tools:$PATH